set( tbb_VERSION 4.2.2 )
set( tbb_UPS_VERSION v4_2_2 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach(comp)
endmacro()

####################################################################################

find_library(TBB NAMES tbb PATHS $ENV{TBB_LIB} NO_DEFAULT_PATH )
find_library(TBBMALLOC NAMES tbbmalloc PATHS $ENV{TBB_LIB} NO_DEFAULT_PATH )
find_library(TBBMALLOC_PROXY NAMES tbbmalloc_proxy PATHS $ENV{TBB_LIB} NO_DEFAULT_PATH )

check_required_components(tbb)
